Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Class ModifyTemporaryAbsenceType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.ModifyTemporaryAbsenceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T04:01:47+02:00",
               comments="JAXB RI v2.3.6")
    public class ModifyTemporaryAbsenceType

extends Object
implements Serializable

Tijdelijke afwezigheid

Java class for ModifyTemporaryAbsenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ModifyTemporaryAbsenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TemporaryAbsenceVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
             <element name="Action" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ActionType"/>
             <element name="TemporaryAbsenceStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="TemporaryAbsenceEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ModifyTemporaryAbsenceType()`

Method Summary
`ActionType` | `getAction()` Gets the value of the action property.
`org.joda.time.DateTime` | `getTemporaryAbsenceEndTime()` Gets the value of the temporaryAbsenceEndTime property.
`org.joda.time.DateTime` | `getTemporaryAbsenceStartTime()` Gets the value of the temporaryAbsenceStartTime property.
`String` | `getTemporaryAbsenceVSBReference()` Gets the value of the temporaryAbsenceVSBReference property.
`void` | `setAction(ActionType value)` Sets the value of the action property.
`void` | `setTemporaryAbsenceEndTime(org.joda.time.DateTime value)` Sets the value of the temporaryAbsenceEndTime property.
`void` | `setTemporaryAbsenceStartTime(org.joda.time.DateTime value)` Sets the value of the temporaryAbsenceStartTime property.
`void` | `setTemporaryAbsenceVSBReference(String value)` Sets the value of the temporaryAbsenceVSBReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyTemporaryAbsenceType

    public ModifyTemporaryAbsenceType()

Method Detail

### getTemporaryAbsenceVSBReference

    public String getTemporaryAbsenceVSBReference()

  Gets the value of the temporaryAbsenceVSBReference property.

  Returns:
    possible object is `String`

### setTemporaryAbsenceVSBReference

    public void setTemporaryAbsenceVSBReference(String value)

  Sets the value of the temporaryAbsenceVSBReference property.

  Parameters:
    `value` - allowed object is `String`

### getAction

    public ActionType getAction()

  Gets the value of the action property.

  Returns:
    possible object is `ActionType`

### setAction

    public void setAction(ActionType value)

  Sets the value of the action property.

  Parameters:
    `value` - allowed object is `ActionType`

### getTemporaryAbsenceStartTime

    public org.joda.time.DateTime getTemporaryAbsenceStartTime()

  Gets the value of the temporaryAbsenceStartTime property.

  Returns:
    possible object is `String`

### setTemporaryAbsenceStartTime

    public void setTemporaryAbsenceStartTime(org.joda.time.DateTime value)

  Sets the value of the temporaryAbsenceStartTime property.

  Parameters:
    `value` - allowed object is `String`

### getTemporaryAbsenceEndTime

    public org.joda.time.DateTime getTemporaryAbsenceEndTime()

  Gets the value of the temporaryAbsenceEndTime property.

  Returns:
    possible object is `String`

### setTemporaryAbsenceEndTime

    public void setTemporaryAbsenceEndTime(org.joda.time.DateTime value)

  Sets the value of the temporaryAbsenceEndTime property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.